











#import <Foundation/Foundation.h>

#import <ShareSDK/ShareSDK.h>
#import <MOBFoundation/MobSDK+Privacy.h>
#import <ShareSDKUI/ShareSDK+SSUI.h>

#import <TapTapCoreSDK/TapTapSDK.h>
#import <TapTapShareSDK/TapTapShareSDK-Swift.h>

static void(^shareCallback)(BOOL result, NSString *bleedThe);

@interface BlackBlackDetectsPlayingLocatorLearned : NSObject

@end

@implementation BlackBlackDetectsPlayingLocatorLearned


+ (void)customHoldSelfHandReversedSoundHealthKey:(NSString *)mobAppKey
                             prototypeMin:(NSString *)prototypeMin
                              hasStripAsk:(NSString *)hasStripAsk
                          printableCoercionBypassedSlightBegin:(NSString *)printableCoercionBypassedSlightBegin
                      serbianVitalBringEggValidates:(NSString *)serbianVitalBringEggValidates
                                  halfOdd:(NSString *)halfOdd
                                 eventCat:(NSString *)eventCat
                          eggHitBasicMaintainTeam:(NSString *)eggHitBasicMaintainTeam
                                 teethKey:(NSString *)teethKey
                              fitVoicePin:(NSString *)fitVoicePin
                           sortDiskJobAny:(NSString *)sortDiskJobAny
                        molarDaysMenToken:(NSString *)molarDaysMenToken
{
    
    [MobSDK registerAppKey:mobAppKey appSecret:prototypeMin];
    
    [MobSDK uploadPrivacyPermissionStatus:YES onResult:^(BOOL success) {
        
    }];
    
    [ShareSDK registPlatforms:^(SSDKRegister *magnitudeRegister) {
        
        //微信
        if (hasStripAsk && printableCoercionBypassedSlightBegin && hasStripAsk.length>0 && printableCoercionBypassedSlightBegin.length > 0) {
            [magnitudeRegister setupWeChatWithAppId:hasStripAsk appSecret:printableCoercionBypassedSlightBegin universalLink:serbianVitalBringEggValidates];
        }
        
        //QQ
        if (halfOdd && eventCat && halfOdd.length>0 && eventCat.length > 0) {
            [magnitudeRegister setupQQWithAppId:halfOdd appkey:eventCat enableUniversalLink:NO universalLink:eggHitBasicMaintainTeam];
        }
        
        //抖音
        if (teethKey && fitVoicePin && teethKey.length>0 && fitVoicePin.length > 0) {
            [magnitudeRegister setupDouyinByAppKey:teethKey appSecret:fitVoicePin];
        }
    }];
    
    
    
    if (sortDiskJobAny && molarDaysMenToken && sortDiskJobAny.length>0 && molarDaysMenToken.length > 0) {
        
        TapTapSdkOptions *options = [[TapTapSdkOptions alloc] init];
        options.clientId = sortDiskJobAny; 
        options.clientToken = molarDaysMenToken; 
        options.region = TapTapRegionTypeCN; 
        options.penObject = YES; 
    

        [TapTapSDK initWithOptions:options];
    }
}

+ (void)busEraAirTrialType:(NSString *)platformType
                     title:(NSString *)title
                      text:(NSString *)text
                    images:(id)images
                       url:(NSURL *)url
              eyeVendorDid:(NSString *)eyeVendorDid
                tatarReply:(NSString *)tatarReply
              capTwoImages:(NSArray *)capTwoImages
                   optBlue:(NSString *)optBlue
                   panWalk:(NSString *)panWalk
                  callback:(void(^)(BOOL result,NSString *bleedThe))callback {
    
    shareCallback = callback;
    
    switch (platformType.integerValue) {
        case 0:
            [self cocoaRareMin:SSDKPlatformSubTypeQQFriend title:title text:text images:images url:url type:SSDKContentTypeAuto];
            break;
        case 1:		
            [self cocoaRareMin:SSDKPlatformSubTypeQZone title:title text:text images:images url:url type:SSDKContentTypeAuto];
            break;
        case 2:
            [self cocoaRareMin:SSDKPlatformSubTypeWechatSession title:title text:text images:images url:url type:SSDKContentTypeAuto];
            break;
        case 3:
            [self cocoaRareMin:SSDKPlatformSubTypeWechatTimeline title:title text:text images:images url:url type:SSDKContentTypeAuto];
            break;
        case 4:{
            [self cocoaRareMin:SSDKPlatformTypeDouyin title:title text:text images:images url:url type:SSDKContentTypeImage];
            break;
        }
        case 5:
            [self inhalerJoiningLongMonotonicReportsCar:title contents:text eyeVendorDid:eyeVendorDid tatarReply:tatarReply capTwoImages:capTwoImages optBlue:optBlue panWalk:panWalk];
            break;
        default:
            break;
    }
}




+ (void)cocoaRareMin:(SSDKPlatformType)platformType
               title:(NSString *)title
              text:(NSString *)text
            images:(id)images
               url:(NSURL *)url
              type:(SSDKContentType)type {
    
    

    

    

    

    

    NSMutableDictionary *retryCatWas = [NSMutableDictionary dictionary];
    [retryCatWas SSDKSetupShareParamsByText:text
                                     images:images
                                        url:url
                                      title:title
                                       type:type];
    
    [ShareSDK share:platformType parameters:retryCatWas onStateChanged:^(SSDKResponseState state, NSDictionary *userData, SSDKContentEntity *contentEntity, NSError *error) {
        
        switch (state) {
            case SSDKResponseStateSuccess:
                if (shareCallback)shareCallback(YES,@"");
                break;
            case SSDKResponseStateFail:
                if (shareCallback)shareCallback(NO,error.localizedDescription);
                break;
            case SSDKResponseStateCancel:
                if (shareCallback)shareCallback(NO,@"cancel");
                break;
            case SSDKResponseStatePlatformCancel:
                if (shareCallback)shareCallback(NO,@"cancel");
                break;
            default:
                break;
        }
    }];
}



+ (void)inhalerJoiningLongMonotonicReportsCar:(NSString *)title
                            contents:(NSString *)contents
                        eyeVendorDid:(NSString *)eyeVendorDid
                          tatarReply:(NSString *)tatarReply
                        capTwoImages:(NSArray *)capTwoImages
                             optBlue:(NSString *)optBlue
                             panWalk:(NSString *)panWalk {
    
    






    
    
    
    TapTapShareObj *sub = [[TapTapShareObj alloc] initWithTitle:title contents:contents eyeVendorDid:eyeVendorDid tatarReply:tatarReply capTwoImages:capTwoImages optBlue:optBlue panWalk:panWalk];
    [TapTapShare share:sub completion:^(NSInteger result)  {
        
        if (result == 0) {
            if (shareCallback)shareCallback(YES,@"");
        }else if (result == -1) {
            if (shareCallback)shareCallback(NO,@"");
        }
    }];
}

@end
